# Uses of Class
org.apache.lucene.util.hnsw.HnswGraphBuilder

Packages that use HnswGraphBuilder
Package
Description
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

## Uses of HnswGraphBuilder in org.apache.lucene.util.hnsw

Subclasses of HnswGraphBuilder in org.apache.lucene.util.hnsw
Modifier and Type
Class
Description
`final class`
`InitializedHnswGraphBuilder`
This creates a graph builder that is initialized with the provided HnswGraph.
Methods in org.apache.lucene.util.hnsw that return HnswGraphBuilder
Modifier and Type
Method
Description
`static HnswGraphBuilder`
HnswGraphBuilder.`create(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed)`
`static HnswGraphBuilder`
HnswGraphBuilder.`create(RandomVectorScorerSupplier scorerSupplier, int M, int beamWidth, long seed, int graphSize)`